<?php
/**
 * .
 *
 * @package WPDesk\FlexibleShippingFedex
 */

namespace WPDesk\FlexibleShippingFedex;

use FedExVendor\WPDesk\PluginBuilder\Plugin\Hookable;

/**
 * Interprets metadata.
 */
class FedexMetaDataInterpreter implements Hookable {
	const META_FALLBACK_REASON = 'fallback_reason';

	/**
	 * Hooks.
	 */
	public function hooks() {
		add_filter( 'woocommerce_order_item_display_meta_key', array( $this, 'display_meta_key' ), 10, 3 );
	}

	/**
	 * Convert metadata keys to names.
	 *
	 * @param string                        $display_key key.
	 * @param \WC_Meta_Data|mixed           $meta metadata.
	 * @param \WC_Order_Item_Shipping|mixed $order_item item.
	 *
	 * @return mixed|string|void
	 */
	public function display_meta_key( $display_key, $meta, $order_item ) {
		if ( $order_item instanceof \WC_Order_Item_Shipping && $meta instanceof \WC_Meta_Data ) {
			$data = $meta->get_data();
			if ( self::META_FALLBACK_REASON === $data['key'] ) {
				$display_key = __( 'Fallback reason', 'flexible-shipping-fedex' );
			}

			return $display_key;
		}
	}
}
