<?php

namespace FedExVendor\WPDesk\FedexShippingService\Exception;

/**
 * Exception thrown when switcher is not accepted.
 *
 * @package WPDesk\FedexShippingService\Exception
 */
class CurrencySwitcherException extends \RuntimeException
{
    /**
     * CurrencySwitcherException constructor.
     */
    public function __construct()
    {
        $support_link = 'https://www.flexibleshipping.com/support/';
        $message = \sprintf(
            // Translators: link.
            \__('Multi currency is not supported by Flexible Shipping FedEx! %1$sWrite to us.%2$s', 'flexible-shipping-fedex'),
            '<a href="' . $support_link . '" target="_blank">',
            '</a>'
        );
        parent::__construct($message);
    }
}
