<?php

namespace FedExVendor\WPDesk\WooCommerceShipping\ShippingMethod\Traits;

use Psr\Log\LoggerInterface;
/**
 * Implements basic logs methods.
 *
 * @package WPDesk\WooCommerceShipping\ShippingMethod\Traits
 */
trait LoggerTrait
{
    /**
     * Logger.
     *
     * @var LoggerInterface $logger .
     */
    private static $logger;
    /**
     * Set logger.
     *
     * @param LoggerInterface $logger Logger.
     */
    public static function set_logger(\Psr\Log\LoggerInterface $logger)
    {
        self::$logger = $logger;
    }
    /**
     * User can see logs?
     *
     * @return bool
     */
    private function can_see_logs()
    {
        return 'yes' === $this->get_option('debug_mode', 'no') && \current_user_can('manage_woocommerce');
    }
}
